Subject: Re: [PATCH v2] mergetool--lib: fix '--tool-help' to correctly show available tools

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Jan 2021 15:06:51 -0800

Philippe Blain <[email-masked]> writes:

>> What was the symptom before the fix?  Is it just missing only some
>> tools among 30?  Was there some pattern in names of missing one and
>> the ones that still got output?  Or was it more like "we see nothing
>> shown"?
> ...
> Note that 'vimdiff', 'nvimdiff3' (last variant for vimdiff),
> 'bc' and 'bc4' (last variant for bc) are absent, and
> all other tools that have no variants are absent as well.

Thanks, that is exactly the kind of "some pattern" I wanted to see
us looking for, because I wonder if it is a more robust and cheaper
(maintenance wise) approach to find one single tool that we support,
which does not have, and which is unlikely to gain, any numbered
variants.  If we can find such a tool, we can grep for its name in
the output.